> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Account Number Reservation



## OpenAPI

````yaml api-reference/openapi-apply.json POST /account_number_reservation
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account_number_reservation:
    post:
      summary: create account-number-reservation
      requestBody:
        content:
          application/json:
            examples: {}
            schema:
              properties:
                account_product_id:
                  type: string
              required:
                - id
                - account_product_id
        description: The account-number-reservation to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples: {}
              schema:
                properties:
                  account_number:
                    type: string
                  account_product_id:
                    type: string
                  id:
                    type: string
          description: The account-number-reservation created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````